Bug 430274 - install of f8 hangs at loading ata_piix driver
install of f8 hangs at loading ata_piix driver
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
: 431361 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-25 13:18 EST by peter brady
Modified: 2009-01-09 00:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:50:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description peter brady 2008-01-25 13:18:01 EST
Description of problem: Trying to install f8 on an everex stepnote sa2053t and 
ran into a series of problem.
Problem 1: anaconda hangs at - running /sbin/loader
fix with option: nohz=off nolapic
Problem 2: anaconda hangs at - loading libata_driver
fix with option: acpi=off apm=off
Problem 3: anaconda hangs at next step - loading ata_piix driver



Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Insert Fedora install dvd and sit back
2.
3.
  
Actual results:


Expected results:


Additional info:
Laptop has Intel ICH7-M chipset
Comment 1 peter brady 2008-01-29 16:15:06 EST
Found a website of someone having the same problem:
http://www.poplarware.com/everexlinux.html
They said that the problem can be fixed by
1. set up the "8139too" module so it uses only PIO access, and disable MMIO access
and
2. remove CONFIG_MMC_SDHCI from the kernel config

I would test this myself but I don't know how
Comment 2 peter brady 2008-02-01 17:46:59 EST
Followed some tutorials to recompile the kernel with the above two
specifications in mind, and used Revisor to generate an install cd.  I now have
a working install of f8 on my laptop and everything works (wireless and all!).
Comment 3 Jon Stanley 2008-02-03 11:38:41 EST
*** Bug 431361 has been marked as a duplicate of this bug. ***
Comment 4 Fredrik Jansson 2008-02-04 03:08:42 EST
Bug 90271 in Ubuntu is similar.
https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/90271

Says these systems are affected:
 * Averatec 2460
 * Everex Stepnote SA2050
 * Everex Stepnote SA2050T
 * Everex StepNote SA2052T
 * Everex StepNote SA2053T
 * Philips Freevents x52
 * Philips Freevents x53
 * Philips Freevents x54
 * Philips Freevents x55
 * Philips Freevents x56
 * Twinhead H12Y
Comment 5 Bug Zapper 2008-11-26 04:33:53 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 00:50:57 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.